SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:number

fn:number() → double

Function signature

Result | xs:double

Equivalent to number(.)

XPath 2.0 Specification

fn:number(item()? $srcval) → double

Function signature

$srcval | item() ?
Result | xs:double

Converts the given value to a number, after atomization if necessary. Returns NaN if conversion is not possible.

XPath 2.0 Specification

Next